Options
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp.options
Class Options

    java.lang.Object
      com.adobe.xmp.options.Options

Direct Known Subclasses:
  AliasOptions, IteratorOptions, ParseOptions, PropertyOptions, SerializeOptions

    public abstract class Options

extends java.lang.Object

The base class for a collection of 32 flag bits. Individual flags are defined as enum value bit masks. Inheriting classes add convenience accessor methods.

Since:
  24.01.2006

Constructor Summary
`Options()` The default constructor.
`Options(int options)` Constructor with the options bit mask.

Method Summary
`void` | `clear()` Resets the options.
`boolean` | `containsAllOptions(int optionBits)`
`boolean` | `containsOneOf(int optionBits)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getOptions()` Is friendly to access it during the tests.
`java.lang.String` | `getOptionsString()` Creates a human readable string from the set options.
`int` | `hashCode()`
`boolean` | `isExactly(int optionBits)`
`void` | `setOption(int optionBits, boolean value)`
`void` | `setOptions(int options)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Options

    public Options()

  The default constructor.

### Options

    public Options(int options)
            throws XMPException

  Constructor with the options bit mask.

  Parameters:
    `options` - the options bit mask
  Throws:
    `XMPException` - If the options are not correct

Method Detail

### clear

    public void clear()

  Resets the options.

### isExactly

    public boolean isExactly(int optionBits)

  Parameters:
    `optionBits` - an option bitmask
  Returns:
    Returns true, if this object is equal to the given options.

### containsAllOptions

    public boolean containsAllOptions(int optionBits)

  Parameters:
    `optionBits` - an option bitmask
  Returns:
    Returns true, if this object contains all given options.

### containsOneOf

    public boolean containsOneOf(int optionBits)

  Parameters:
    `optionBits` - an option bitmask
  Returns:
    Returns true, if this object contain at least one of the given options.

### setOption

    public void setOption(int optionBits,
                          boolean value)

  Parameters:
    `optionBits` - the binary bit or bits that shall be set to the given value
    `value` - the boolean value to set

### getOptions

    public int getOptions()

  Is friendly to access it during the tests.

  Returns:
    Returns the options.

### setOptions

    public void setOptions(int options)
                    throws XMPException

  Parameters:
    `options` - The options to set.
  Throws:
    `XMPException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### getOptionsString

    public java.lang.String getOptionsString()

  Creates a human readable string from the set options. Note: This method is quite expensive and should only be used within tests or as

  Returns:
    Returns a String listing all options that are set to `true` by their name, like "option1 | option4".

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Returns the options as hex bitmask.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.